Subject: categories: final functors

From: Paul Taylor <[email-masked]>
Date: Wed, 13 Dec 2000 13:09:53 GMT

As Steve Lack and Peter Johnstone said, the functors to which Jean Benabou
referred,

> Let  F: Y-----> X be a functor such that for every object  x of  X the comma
> category  (x,F) is connected.Such functors, although they are not defined in
> all generality, are called "cofinal" in SGA 4 , and "initial" in Borceux's
> handbook (Vol.1-'2.11-p.69) but none of these terms is satisfactory.
           
are called "final" in Saunders Mac Lane's famous book.

As Peter also said, there was a lengthy discussion on "categories" in 
July 1998 on this topic, which you can look up in the archive at
        ftp://tac.mta.ca/pub/categories/1998/98-7

The footnote that I wrote on p389 of "Practical Foundations"
        http://www.dcs.qmw.ac.uk/~pt/Practical_Foundations/html/s73.html
summing up this discussion reads

> The prefix ``co-'' in the original word cofinal carried the usual
> Latin--English meaning of ``together,'' rather than the meaning of
> dualisation inherited from (co)homology (and maybe trigonometry
> before that).

> Although final functors are the analogue, not the dual, of cofinal
> monotone functions, the prefix was dropped in [Mac Lane, p. 213] as it
> was considered inappropriate.

> I feel that it was unnecessary to introduce this confusion, as
> Proposition 3.2.10 associates them with \emph{co}limits (but cf
> Exercise 3.32).

> Even so, the definitions are not the same: any surjective function
> between discrete posets is cofinal and they give rise to the same
> joins, but to different coproducts.  This difference is attributable
> to the hidden existential quantifier mentioned in the footnote on page 129.

Paul